Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class PrivilegeManager

    java.lang.Object
      |
      +--netscape.security.PrivilegeManager

public final class PrivilegeManager
extends java.lang.Object

Dummy class.

Field Summary
`static int` | `EQUAL`
`static int` | `NO_SUBSET`
`static int` | `PROPER_SUBSET`
`static int` | `SIGNED_APPLET_DBNAME`
`static int` | `TEMP_FILENAME`

Constructor Summary
`PrivilegeManager()`

Method Summary
`boolean` | `checkMatchPrincipal(java.lang.Class cl)`
`boolean` | `checkMatchPrincipal(java.lang.Class cl, int i)`
`boolean` | `checkMatchPrincipal(Principal p, int i)`
`boolean` | `checkMatchPrincipalAlways()`
`static void` | `checkPrivilegeEnabled(java.lang.String s)`
`void` | `checkPrivilegeEnabled(Target t)`
`void` | `checkPrivilegeEnabled(Target t, java.lang.Object o)`
`static void` | `checkPrivilegeGranted(java.lang.String s)`
`void` | `checkPrivilegeGranted(Target t)`
`void` | `checkPrivilegeGranted(Target t, java.lang.Object o)`
`void` | `checkPrivilegeGranted(Target t, Principal p, java.lang.Object o)`
`int` | `comparePrincipalArray(Principal[] pa1, Principal[] pa2)`
`static void` | `disablePrivilege(java.lang.String s)`
`void` | `disablePrivilege(Target t)`
`static void` | `enablePrivilege(java.lang.String s)`
`void` | `enablePrivilege(Target t)`
`void` | `enablePrivilege(Target t, Principal p)`
`void` | `enablePrivilege(Target t, Principal p, java.lang.Object o)`
`Principal[]` | `getClassPrincipals(java.lang.Class cl)`
`Principal[]` | `getClassPrincipalsFromStack(int i)`
`static Principal[]` | `getMyPrincipals()`
`static PrivilegeManager` | `getPrivilegeManager()`
`PrivilegeTable` | `getPrivilegeTableFromStack()`
`static Principal` | `getSystemPrincipal()`
`boolean` | `hasPrincipal(java.lang.Class cl, Principal p)`
`boolean` | `isCalledByPrincipal(Principal p)`
`boolean` | `isCalledByPrincipal(Principal p, int i)`
`static void` | `revertPrivilege(java.lang.String s)`
`void` | `revertPrivilege(Target t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPER_SUBSET

    public static final int PROPER_SUBSET

### EQUAL

    public static final int EQUAL

### NO_SUBSET

    public static final int NO_SUBSET

### SIGNED_APPLET_DBNAME

    public static final int SIGNED_APPLET_DBNAME

### TEMP_FILENAME

    public static final int TEMP_FILENAME

Constructor Detail

### PrivilegeManager

    public PrivilegeManager()

Method Detail

### checkPrivilegeEnabled

    public static void checkPrivilegeEnabled(java.lang.String s)

### checkPrivilegeEnabled

    public void checkPrivilegeEnabled(Target t)

### checkPrivilegeEnabled

    public void checkPrivilegeEnabled(Target t,
                                      java.lang.Object o)

### enablePrivilege

    public static void enablePrivilege(java.lang.String s)

### enablePrivilege

    public void enablePrivilege(Target t)

### enablePrivilege

    public void enablePrivilege(Target t,
                                Principal p)

### enablePrivilege

    public void enablePrivilege(Target t,
                                Principal p,
                                java.lang.Object o)

### revertPrivilege

    public void revertPrivilege(Target t)

### revertPrivilege

    public static void revertPrivilege(java.lang.String s)

### disablePrivilege

    public void disablePrivilege(Target t)

### disablePrivilege

    public static void disablePrivilege(java.lang.String s)

### checkPrivilegeGranted

    public static void checkPrivilegeGranted(java.lang.String s)

### checkPrivilegeGranted

    public void checkPrivilegeGranted(Target t)

### checkPrivilegeGranted

    public void checkPrivilegeGranted(Target t,
                                      java.lang.Object o)

### checkPrivilegeGranted

    public void checkPrivilegeGranted(Target t,
                                      Principal p,
                                      java.lang.Object o)

### isCalledByPrincipal

    public boolean isCalledByPrincipal(Principal p,
                                       int i)

### isCalledByPrincipal

    public boolean isCalledByPrincipal(Principal p)

### getSystemPrincipal

    public static Principal getSystemPrincipal()

### getPrivilegeManager

    public static PrivilegeManager getPrivilegeManager()

### getMyPrincipals

    public static Principal[] getMyPrincipals()

### getClassPrincipals

    public Principal[] getClassPrincipals(java.lang.Class cl)

### hasPrincipal

    public boolean hasPrincipal(java.lang.Class cl,
                                Principal p)

### comparePrincipalArray

    public int comparePrincipalArray(Principal[] pa1,
                                     Principal[] pa2)

### checkMatchPrincipal

    public boolean checkMatchPrincipal(java.lang.Class cl,
                                       int i)

### checkMatchPrincipal

    public boolean checkMatchPrincipal(Principal p,
                                       int i)

### checkMatchPrincipal

    public boolean checkMatchPrincipal(java.lang.Class cl)

### checkMatchPrincipalAlways

    public boolean checkMatchPrincipalAlways()

### getClassPrincipalsFromStack

    public Principal[] getClassPrincipalsFromStack(int i)

### getPrivilegeTableFromStack

    public PrivilegeTable getPrivilegeTableFromStack()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.